# coding: utf-8

# flake8: noqa

"""
    Arduino IoT Cloud API

     Provides a set of endpoints to manage Arduino IoT Cloud **Devices**, **Things**, **Properties** and **Timeseries**. This API can be called just with any HTTP Client, or using one of these clients:  * [Javascript NPM package](https://www.npmjs.com/package/@arduino/arduino-iot-client)  * [Python PYPI Package](https://pypi.org/project/arduino-iot-client/)  * [Golang Module](https://github.com/arduino/iot-client-go)  # noqa: E501

    The version of the OpenAPI document: 2.0
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

__version__ = "1.4.3"

# import apis into sdk package
from iot_api_client.api.dashboards_v2_api import DashboardsV2Api
from iot_api_client.api.devices_v2_api import DevicesV2Api
from iot_api_client.api.devices_v2_certs_api import DevicesV2CertsApi
from iot_api_client.api.devices_v2_ota_api import DevicesV2OtaApi
from iot_api_client.api.devices_v2_pass_api import DevicesV2PassApi
from iot_api_client.api.devices_v2_tags_api import DevicesV2TagsApi
from iot_api_client.api.lora_devices_v1_api import LoraDevicesV1Api
from iot_api_client.api.lora_freq_plan_v1_api import LoraFreqPlanV1Api
from iot_api_client.api.properties_v2_api import PropertiesV2Api
from iot_api_client.api.series_v2_api import SeriesV2Api
from iot_api_client.api.things_v2_api import ThingsV2Api
from iot_api_client.api.things_v2_tags_api import ThingsV2TagsApi

# import ApiClient
from iot_api_client.api_client import ApiClient
from iot_api_client.configuration import Configuration
from iot_api_client.exceptions import OpenApiException
from iot_api_client.exceptions import ApiTypeError
from iot_api_client.exceptions import ApiValueError
from iot_api_client.exceptions import ApiKeyError
from iot_api_client.exceptions import ApiException
# import models into sdk package
from iot_api_client.models.arduino_compressedv2 import ArduinoCompressedv2
from iot_api_client.models.arduino_dashboardowner import ArduinoDashboardowner
from iot_api_client.models.arduino_dashboardshare import ArduinoDashboardshare
from iot_api_client.models.arduino_dashboardv2 import ArduinoDashboardv2
from iot_api_client.models.arduino_devicev2 import ArduinoDevicev2
from iot_api_client.models.arduino_devicev2_cert import ArduinoDevicev2Cert
from iot_api_client.models.arduino_devicev2_event_properties import ArduinoDevicev2EventProperties
from iot_api_client.models.arduino_devicev2_pass import ArduinoDevicev2Pass
from iot_api_client.models.arduino_devicev2_simple_properties import ArduinoDevicev2SimpleProperties
from iot_api_client.models.arduino_devicev2_webhook import ArduinoDevicev2Webhook
from iot_api_client.models.arduino_devicev2properties import ArduinoDevicev2properties
from iot_api_client.models.arduino_devicev2propertyvalue import ArduinoDevicev2propertyvalue
from iot_api_client.models.arduino_devicev2propertyvalue_value import ArduinoDevicev2propertyvalueValue
from iot_api_client.models.arduino_devicev2propertyvalue_value_statistics import ArduinoDevicev2propertyvalueValueStatistics
from iot_api_client.models.arduino_devicev2propertyvalues import ArduinoDevicev2propertyvalues
from iot_api_client.models.arduino_devicev2propertyvalues_last_evaluated_key import ArduinoDevicev2propertyvaluesLastEvaluatedKey
from iot_api_client.models.arduino_linkedvariable import ArduinoLinkedvariable
from iot_api_client.models.arduino_loradevicev1 import ArduinoLoradevicev1
from iot_api_client.models.arduino_lorafreqplansv1 import ArduinoLorafreqplansv1
from iot_api_client.models.arduino_lorafreqplanv1 import ArduinoLorafreqplanv1
from iot_api_client.models.arduino_property import ArduinoProperty
from iot_api_client.models.arduino_series_batch import ArduinoSeriesBatch
from iot_api_client.models.arduino_series_raw_batch import ArduinoSeriesRawBatch
from iot_api_client.models.arduino_series_raw_batch_lastvalue import ArduinoSeriesRawBatchLastvalue
from iot_api_client.models.arduino_series_raw_last_value_response import ArduinoSeriesRawLastValueResponse
from iot_api_client.models.arduino_series_raw_response import ArduinoSeriesRawResponse
from iot_api_client.models.arduino_series_response import ArduinoSeriesResponse
from iot_api_client.models.arduino_tags import ArduinoTags
from iot_api_client.models.arduino_thing import ArduinoThing
from iot_api_client.models.arduino_timeseriesmedia import ArduinoTimeseriesmedia
from iot_api_client.models.arduino_timezone import ArduinoTimezone
from iot_api_client.models.arduino_variableslinks import ArduinoVariableslinks
from iot_api_client.models.arduino_widgetv2 import ArduinoWidgetv2
from iot_api_client.models.batch_last_value_requests_media_v1 import BatchLastValueRequestsMediaV1
from iot_api_client.models.batch_query_raw_last_value_request_media_v1 import BatchQueryRawLastValueRequestMediaV1
from iot_api_client.models.batch_query_raw_request_media_v1 import BatchQueryRawRequestMediaV1
from iot_api_client.models.batch_query_raw_requests_media_v1 import BatchQueryRawRequestsMediaV1
from iot_api_client.models.batch_query_raw_response_series_media_v1 import BatchQueryRawResponseSeriesMediaV1
from iot_api_client.models.batch_query_request_media_v1 import BatchQueryRequestMediaV1
from iot_api_client.models.batch_query_requests_media_v1 import BatchQueryRequestsMediaV1
from iot_api_client.models.check_devices_v2_pass_payload import CheckDevicesV2PassPayload
from iot_api_client.models.create_devices_v2_certs_payload import CreateDevicesV2CertsPayload
from iot_api_client.models.create_devices_v2_payload import CreateDevicesV2Payload
from iot_api_client.models.create_lora_devices_v1_payload import CreateLoraDevicesV1Payload
from iot_api_client.models.dashboardshare import Dashboardshare
from iot_api_client.models.dashboardv2 import Dashboardv2
from iot_api_client.models.devicev2 import Devicev2
from iot_api_client.models.devicev2_cert import Devicev2Cert
from iot_api_client.models.devicev2_otabinaryurl import Devicev2Otabinaryurl
from iot_api_client.models.devicev2_pass import Devicev2Pass
from iot_api_client.models.error import Error
from iot_api_client.models.historic_data_request import HistoricDataRequest
from iot_api_client.models.inline_object import InlineObject
from iot_api_client.models.model_property import ModelProperty
from iot_api_client.models.properties_value import PropertiesValue
from iot_api_client.models.properties_values import PropertiesValues
from iot_api_client.models.property_value import PropertyValue
from iot_api_client.models.sharerequest import Sharerequest
from iot_api_client.models.tag import Tag
from iot_api_client.models.thing_create import ThingCreate
from iot_api_client.models.thing_sketch import ThingSketch
from iot_api_client.models.thing_update import ThingUpdate
from iot_api_client.models.timeseries_data_point import TimeseriesDataPoint
from iot_api_client.models.update_sketch import UpdateSketch
from iot_api_client.models.widget import Widget
from iot_api_client.models.widgetlink import Widgetlink

